%define	name	bchunk
%define	version	1.1.1
%define	release	1
%define	prefix	/usr

Summary:	A CD image format converter from .bin/.cue to .iso/.cdr/.wav.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Prefix:		%{prefix}
Group:		Applications/Archiving
Copyright:	GPL
Url:		http://hes.iki.fi/bchunk/
Vendor:		Heikki Hannikainen <hessu@hes.iki.fi>
Source:		%{name}-%{version}.tar.gz
Buildroot:	%{_tmppath}/%{name}-%{version}-root

%description
The bchunk package contains a UNIX/C rewrite of the BinChunker program.
BinChunker converts a CD image in a .bin/.cue format (sometimes .raw/.cue)
into a set of .iso and .cdr/.wav tracks.  The .bin/.cue format is used by some
non-UNIX CD-writing software, but is not supported on most other
CD-writing programs.

%prep
%setup -q

%build
## Fix Makefile to use supplied CFLAGS
perl -pi -e 's/^CFLAGS/#CFLAGS/g' Makefile

export CFLAGS="${RPM_OPT_FLAGS}";
make

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && [ -d ${RPM_BUILD_ROOT} ] && rm -r ${RPM_BUILD_ROOT};
mkdir -p ${RPM_BUILD_ROOT}%{prefix}/bin \
	 ${RPM_BUILD_ROOT}%{prefix}/man/man1
install -s -m 755 bchunk ${RPM_BUILD_ROOT}%{prefix}/bin
install -m 644 bchunk.1 ${RPM_BUILD_ROOT}%{prefix}/man/man1

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && [ -d ${RPM_BUILD_ROOT} ] && rm -r ${RPM_BUILD_ROOT};

%files
%defattr(-,root,root)
%doc COPYING README bchunk*.lsm
%{prefix}/bin/bchunk
%{prefix}/man/man1/bchunk.1*

%changelog
* Tue Aug  7 2001 Ryan Weaver <ryanw@falsehope.com>
- Updated spec file.
- Fix Makefile to use RPM compiler opts before make.

  [bchunk-1.1.1-1]
- Error checking while reading the bin file 
- psxtruncate was always enabled by default - made -p work 
- Fixed .spec file to compile on other distributions 

  [bchunk-1.1.0-1]
- Please note that 1.1.0 has NOT been extensively tested. Feedback and
  bug reports welcome. 
- MODE2/2352, PSX support 
- WAV audio file output (byte order fixing code might break compiling
  on some platforms) 
- Audio file byte order swapping 
- man page, make install 
- More error checking 

